Information on source package libtasn1-6

Available versions

ReleaseVersion
jessie (security)4.2-3+deb8u3
stretch (security)4.10-1.1+deb9u1
buster4.13-3
sid4.13-3

Open issues

BugjessiestretchbustersidDescription
CVE-2018-1000654vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableGNU Libtasn1-4.13 libtasn1-4.13 version libtasn1-4.13, libtasn1-4.12 ...
CVE-2017-10790vulnerable (no DSA)fixedfixedfixedThe _asn1_check_identifier function in GNU Libtasn1 through 4.12 causes ...

Resolved issues

BugDescription
CVE-2018-6003An issue was discovered in the _asn1_decode_simple_ber function in ...
CVE-2017-6891Two errors in the "asn1_find_node()" function (lib/parser_aux.c) ...
CVE-2016-4008The _asn1_extract_der_octet function in lib/decoding.c in GNU Libtasn1 ...
CVE-2015-3622The _asn1_extract_der_octet function in lib/decoding.c in GNU Libtasn1 ...
CVE-2015-2806Stack-based buffer overflow in asn1_der_decoding in libtasn1 before ...
CVE-2014-3469The (1) asn1_read_value_type and (2) asn1_read_value functions in GNU ...
CVE-2014-3468The asn1_get_bit_der function in GNU Libtasn1 before 3.6 does not ...
CVE-2014-3467Multiple unspecified vulnerabilities in the DER decoder in GNU ...

Security announcements

DSA / DLADescription
DSA-4106-1libtasn1-6 - security update
DSA-3861-1libtasn1-6 - security update
DSA-3568-1libtasn1-6 - security update
DSA-3256-1libtasn1-6 - security update

Search for package or bug name: Reporting problems